com.dlsc.flexgantt.swing.util

## Class CustomizableLineBorder

- java.lang.Object
- - com.dlsc.flexgantt.swing.util.CustomizableLineBorder

- All Implemented Interfaces:
    Border

      public class CustomizableLineBorder
      extends Object
      implements Border

  A border implementation that displays a bevel border but where each border (top, left, bottom, right) can be hidden. The border is used for such things as the tree table header, the timeline, the navigation controls, etc... The border achieves a more lightweight look in places where two controls with this border are placed next or on top of each other.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomizableLineBorder()` Constructs a new border.
    `CustomizableLineBorder(boolean top, boolean left, boolean bottom, boolean right)` Constructs a new border.
    `CustomizableLineBorder(boolean top, boolean left, boolean bottom, boolean right, Color color)` Constructs a new border.
    `CustomizableLineBorder(boolean top, boolean left, boolean bottom, boolean right, Color color, Stroke stroke)` Constructs a new border.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c)`
    `boolean` | `isBorderOpaque()`
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomizableLineBorder

          public CustomizableLineBorder(boolean top,
                                        boolean left,
                                        boolean bottom,
                                        boolean right,
                                        Color color,
                                        Stroke stroke)

      Constructs a new border.
      Parameters:
        `top` - if TRUE a line will be drawn at the top of the component
        `left` - if TRUE a line will be drawn to the left of the component
        `bottom` - if TRUE a line will be drawn at the bottom of the component
        `right` - if TRUE a line will be drawn to the right of the component
        `color` - the color to use for the border line
        `stroke` - the stroke used for drawing the lines
      Since:
        2.1

    - #### CustomizableLineBorder

          public CustomizableLineBorder(boolean top,
                                        boolean left,
                                        boolean bottom,
                                        boolean right,
                                        Color color)

      Constructs a new border.
      Parameters:
        `top` - if TRUE a line will be drawn at the top of the component
        `left` - if TRUE a line will be drawn to the left of the component
        `bottom` - if TRUE a line will be drawn at the bottom of the component
        `right` - if TRUE a line will be drawn to the right of the component
        `color` - the color to use for the border line
      Since:
        1.0

    - #### CustomizableLineBorder

          public CustomizableLineBorder(boolean top,
                                        boolean left,
                                        boolean bottom,
                                        boolean right)

      Constructs a new border.
      Parameters:
        `top` - if TRUE a line will be drawn at the top of the component
        `left` - if TRUE a line will be drawn to the left of the component
        `bottom` - if TRUE a line will be drawn at the bottom of the component
        `right` - if TRUE a line will be drawn to the right of the component
      Since:
        1.0

    - #### CustomizableLineBorder

          public CustomizableLineBorder()

      Constructs a new border.
      Since:
        1.0

  - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets(Component c)

      Specified by:
        `getBorderInsets` in interface `Border`

    - #### isBorderOpaque

          public boolean isBorderOpaque()

      Specified by:
        `isBorderOpaque` in interface `Border`

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Specified by:
        `paintBorder` in interface `Border`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.